<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE
    module-description
    PUBLIC
    "-//StarOffice//DTD ComponentDescription 1.0//EN"
    "module-description.dtd">
<module-description>
    <module-name>uui</module-name>
    <component-description>
        <author>Stephan Bergmann</author>
        <name>com.sun.star.comp.uui.UUIInteractionHandler</name>
        <description>
            An Interaction Handler for the UCB.  It uses VCL to visualize and
            handle interaction requests.
        </description>
        <loader-name>com.sun.star.loader.SharedLibrary</loader-name>
        <language>c++</language>
        <status value="final"/>
        <supported-service>
            com.sun.star.task.InteractionHandler
        </supported-service>
    </component-description>
    <project-build-dependency>cppu</project-build-dependency>
    <project-build-dependency>cppuhelper</project-build-dependency>
    <project-build-dependency>sal</project-build-dependency>
    <project-build-dependency>svtools</project-build-dependency>
    <project-build-dependency>toolkit</project-build-dependency>
    <project-build-dependency>tools</project-build-dependency>
    <project-build-dependency>vcl</project-build-dependency>
    <project-build-dependency>vos</project-build-dependency>
    <runtime-module-dependency>cppu3</runtime-module-dependency>
    <runtime-module-dependency>cppuhelper3$(COM)</runtime-module-dependency>
    <runtime-module-dependency>sal3</runtime-module-dependency>
    <runtime-module-dependency>svt</runtime-module-dependency>
    <runtime-module-dependency>tk</runtime-module-dependency>
    <runtime-module-dependency>tl</runtime-module-dependency>
    <runtime-module-dependency>vcl</runtime-module-dependency>
    <service-dependency>
        com.sun.star.task.PasswordContainer
    </service-dependency>
    <type>com.sun.star.awt.XWindow</type>
    <type>com.sun.star.beans.PropertyValue</type>
    <type>com.sun.star.java.WrongJavaVersionException</type>
    <type>com.sun.star.lang.XInitialization</type>
    <type>com.sun.star.lang.XMultiServiceFactory</type>
    <type>com.sun.star.lang.XServiceInfo</type>
    <type>com.sun.star.lang.XTypeProvider</type>
    <type>com.sun.star.registry.XRegistryKey</type>
    <type>com.sun.star.sync2.BadPartnershipException</type>
    <type>com.sun.star.task.InteractionClassification</type>
    <type>com.sun.star.task.NoMasterException</type>
    <type>com.sun.star.task.PasswordRequest</type>
    <type>com.sun.star.task.XInteractionAbort</type>
    <type>com.sun.star.task.XInteractionApprove</type>
    <type>com.sun.star.task.XInteractionContinuation</type>
    <type>com.sun.star.task.XInteractionDisapprove</type>
    <type>com.sun.star.task.XInteractionHandler</type>
    <type>com.sun.star.task.XInteractionRetry</type>
    <type>com.sun.star.task.XPasswordContainer</type>
    <type>com.sun.star.ucb.AuthenticationRequest</type>
    <type>com.sun.star.ucb.HandleCookiesRequest</type>
    <type>com.sun.star.ucb.InteractiveAugmentedIOException</type>
    <type>com.sun.star.ucb.InteractiveCHAOSException</type>
    <type>com.sun.star.ucb.InteractiveNetworkConnectException</type>
    <type>com.sun.star.ucb.InteractiveNetworkException</type>
    <type>com.sun.star.ucb.InteractiveNetworkGeneralException</type>
    <type>com.sun.star.ucb.InteractiveNetworkOffLineException</type>
    <type>com.sun.star.ucb.InteractiveNetworkReadException</type>
    <type>com.sun.star.ucb.InteractiveNetworkResolveNameException</type>
    <type>com.sun.star.ucb.InteractiveNetworkWriteException</type>
    <type>com.sun.star.ucb.InteractiveWrongMediumException</type>
    <type>com.sun.star.ucb.XInteractionCookieHandling</type>
    <type>com.sun.star.ucb.XInteractionSupplyAuthentication</type>
    <type>com.sun.star.uno.Exception</type>
    <type>com.sun.star.uno.RuntimeException</type>
    <type>com.sun.star.uno.XInterface</type>
</module-description>
